package de.accso.flexinale.backoffice.application.services;

import de.accso.flexinale.backoffice.domain.model.Vorfuehrung;
import de.accso.flexinale.common.shared_kernel.Identifiable;
import jakarta.transaction.Transactional;

import java.util.List;

@Transactional
public class VorfuehrungService {

    private final de.accso.flexinale.backoffice.domain.services.VorfuehrungService vorfuehrungService;


    public VorfuehrungService(de.accso.flexinale.backoffice.domain.services.VorfuehrungService vorfuehrungService) {
        this.vorfuehrungService = vorfuehrungService;
    }


    public List<Vorfuehrung> vorfuehrungen() {
        return vorfuehrungService.vorfuehrungen();
    }

    public Vorfuehrung vorfuehrung(Identifiable.Id vorfuehrungId) {
        return vorfuehrungService.vorfuehrung(vorfuehrungId);
    }
}
